package com.jojubanking.boot.module.system.convert.label;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.label.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.label.LabelDO;

/**
 * 信息 Convert
 *
 * @author admin
 */
@Mapper
public interface LabelConvert {

    LabelConvert INSTANCE = Mappers.getMapper(LabelConvert.class);

    LabelDO convert(LabelCreateReqVO bean);

    LabelDO convert(LabelUpdateReqVO bean);

    LabelRespVO convert(LabelDO bean);

    List<LabelRespVO> convertList(List<LabelDO> list);

    PageResult<LabelRespVO> convertPage(PageResult<LabelDO> page);

    List<LabelExcelVO> convertList02(List<LabelDO> list);

}
